> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prolinks.pro/llms.txt
> Use this file to discover all available pages before exploring further.

# List Links

> Return all the Links for a given Domain



## OpenAPI

````yaml GET /organizations/{organizationId}/domains/{domainsId}/links
openapi: 3.0.1
info:
  title: PROlinks
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://prolinks.pro/api/v1
security:
  - bearerAuth: []
paths:
  /organizations/{organizationId}/domains/{domainsId}/links:
    get:
      description: Return all the Links for a given Domain
      parameters:
        - name: organizationId
          in: path
          description: ID of the organization
          required: true
          schema:
            type: string
            example: 1
        - name: domainId
          in: path
          description: ID of the domain
          required: true
          schema:
            type: string
      responses:
        '201':
          description: Links response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Link'
components:
  schemas:
    Link:
      type: object
      properties:
        id:
          description: The Link id
          type: integer
        type:
          description: Link
          type: string
        attributes:
          type: object
          properties:
            organization:
              description: The organization that the link belongs to
              type: string
            domain:
              description: The domain that the link belongs to
              type: string
            slug:
              description: The link slug
              type: string
            url:
              description: The link url
              type: string
            description:
              description: The link description
              type: string
            campaign_source:
              description: The link campaign source
              type: string
            campaign_medium:
              description: The link campaign medium
              type: string
            campaign_name:
              description: The link campaign name
              type: string
            is_active:
              description: If the link is active or not
              type: integer
            final_url:
              description: The final url to redirect
              type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````